## r-cran-bbmle 1.0.18

=== DESCRIPTION ===
Package: bbmle
Title: Tools for General Maximum Likelihood Estimation
Version: 1.0.18
Author: Ben Bolker <bolker@mcmaster.ca>, R Development Core Team
Maintainer: Ben Bolker <bolker@mcmaster.ca>
Depends: R (>= 3.0.0), stats4
Imports: stats, numDeriv, lattice, MASS, methods
Suggests: emdbook, rms, ggplot2, RUnit, MuMIn, AICcmodavg, Hmisc,
        optimx (>= 2013.8.6), knitr, testthat
VignetteBuilder: knitr
BuildVignettes: yes
Description: Methods and functions for fitting maximum likelihood models in R.
    This package modifies and extends the 'mle' classes in the 'stats4' package.
License: GPL
Collate: 'mle2-class.R' 'mle2-methods.R' 'mle.R' 'confint.R'
        'predict.R' 'profile.R' 'update.R' 'dists.R' 'IC.R' 'slice.R'
NeedsCompilation: no
Packaged: 2016-02-11 15:22:35 UTC; bolker
Repository: CRAN
Date/Publication: 2016-02-11 16:57:55

=== debian/changelog ===
r-cran-bbmle (1.0.18-2) unstable; urgency=medium

  * Add missing autopkgtest dependency: r-cran-testthat
  * Convert to dh-r
  * Canonical homepage for CRAN
  * d/watch: version=4
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Sun, 15 Jan 2017 22:04:47 +0100

r-cran-bbmle (1.0.18-1) unstable; urgency=low

  * Initial release (closes: #829567)

 -- Andreas Tille <tille@debian.org>  Mon, 04 Jul 2016 12:29:16 +0200

=== debian/control ===
Source: r-cran-bbmle
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev,
               r-cran-numderiv,
               r-cran-lattice,
               r-cran-mass
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-bbmle/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-bbmle/trunk/
Homepage: https://cran.r-project.org/package=bbmle

Package: r-cran-bbmle
Architecture: all
Depends: ${misc:Depends},
         ${R:Depends},
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R tools for general maximum likelihood estimation
 This GNU R package provides methods and functions for fitting maximum
 likelihood models in R. This package modifies and extends the 'mle'
 classes in the 'stats4' package.

=== debian/watch ===
version=4
http://cran.r-project.org/src/contrib/bbmle_([-\d.]*)\.tar\.gz

## r-cran-bbmle 1.0.20

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: bbmle
 Title: Tools for General Maximum Likelihood Estimation
-Version: 1.0.18
+Version: 1.0.20
 Author: Ben Bolker <bolker@mcmaster.ca>, R Development Core Team
 Maintainer: Ben Bolker <bolker@mcmaster.ca>
 Depends: R (>= 3.0.0), stats4
@@ -15,6 +15,6 @@
 Collate: 'mle2-class.R' 'mle2-methods.R' 'mle.R' 'confint.R'
         'predict.R' 'profile.R' 'update.R' 'dists.R' 'IC.R' 'slice.R'
 NeedsCompilation: no
-Packaged: 2016-02-11 15:22:35 UTC; bolker
+Packaged: 2017-10-30 02:06:08 UTC; bolker
 Repository: CRAN
-Date/Publication: 2016-02-11 16:57:55
+Date/Publication: 2017-10-30 08:49:56 UTC

=== debian/changelog ===
r-cran-bbmle (1.0.20-4) unstable; urgency=medium

  * Remove libgdal-dev from Build-Depends
  * Standards-Version: 4.1.5

 -- Andreas Tille <tille@debian.org>  Thu, 12 Jul 2018 16:58:41 +0200

r-cran-bbmle (1.0.20-3) unstable; urgency=medium

  * Fix autopkgtests: Ignore difference in warning message

 -- Graham Inggs <ginggs@debian.org>  Tue, 05 Jun 2018 07:24:16 +0000

r-cran-bbmle (1.0.20-2) unstable; urgency=medium

  [ Graham Inggs ]
  * Fix autopkgtests: Ignore difference with previously saved workspace
                      Skip tests which have no saved results

  [ Andreas Tille ]
  * Rebuild for R 3.5 transition
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Fri, 01 Jun 2018 07:17:09 +0200

r-cran-bbmle (1.0.20-1) unstable; urgency=medium

  * New upstream version
  * Secure URI in watch file
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Thu, 09 Nov 2017 13:19:58 +0100

r-cran-bbmle (1.0.19-1) unstable; urgency=medium

  * New upstream version
  * Remove temporary test dir
  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.0
  * Add debian/README.source to document binary data.

 -- Andreas Tille <tille@debian.org>  Fri, 29 Sep 2017 20:17:36 +0200

=== debian/control ===
Source: r-cran-bbmle
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-numderiv,
               r-cran-lattice,
               r-cran-mass
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bbmle
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bbmle.git
Homepage: https://cran.r-project.org/package=bbmle

Package: r-cran-bbmle
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R tools for general maximum likelihood estimation
 This GNU R package provides methods and functions for fitting maximum
 likelihood models in R. This package modifies and extends the 'mle'
 classes in the 'stats4' package.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_install:
	dh_install
	find debian -name "*.R" -exec chmod -x \{\} \;
	find debian -iname "*.rda" -exec chmod -x \{\} \;
	find debian -iname "*.Rnw" -exec chmod -x \{\} \;
	find debian -iname "*.Rd" -exec chmod -x \{\} \;
	find debian -name "Makefile" -exec chmod -x \{\} \;

## r-cran-bbmle 1.0.23.1

=== DESCRIPTION ===
Package: bbmle
Title: Tools for General Maximum Likelihood Estimation
Description: Methods and functions for fitting maximum likelihood models in R.
Version: 1.0.23.1
Authors@R: c(person("Ben","Bolker",email="bolker@mcmaster.ca",role=c("aut","cre")),
	   person("R Development Core Team",role=c("aut")),
	   person("Iago Giné-Vázquez", role=c("ctb"))
	  )
Depends: R (>= 3.0.0), stats4
Imports: stats, numDeriv, lattice, MASS, methods, bdsmatrix, Matrix,
        mvtnorm
Suggests: emdbook, rms, ggplot2, RUnit, MuMIn, AICcmodavg, Hmisc,
        optimx (>= 2013.8.6), knitr, testthat
VignetteBuilder: knitr
BuildVignettes: yes Description: Methods and functions for fitting
        maximum likelihood models in R. This package modifies and
        extends the 'mle' classes in the 'stats4' package.
License: GPL
URL: https://github.com/bbolker/bbmle
Collate: 'mle2-class.R' 'mle2-methods.R' 'mle.R' 'confint.R'
        'predict.R' 'profile.R' 'update.R' 'dists.R' 'IC.R' 'slice.R'
        'impsamp.R'
RoxygenNote: 6.1.1
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2020-02-02 20:39:22 UTC; bolker
Author: Ben Bolker [aut, cre],
  R Development Core Team [aut],
  Iago Giné-Vázquez [ctb]
Maintainer: Ben Bolker <bolker@mcmaster.ca>
Repository: CRAN
Date/Publication: 2020-02-03 12:00:02 UTC

=== debian/changelog ===
r-cran-bbmle (1.0.23.1-2) unstable; urgency=medium

  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2020 23:20:46 +0200

r-cran-bbmle (1.0.23.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sun, 09 Feb 2020 16:27:10 +0100

r-cran-bbmle (1.0.22-2) unstable; urgency=medium

  * Team upload
  * Skip new test impsamp.R which has no saved results

 -- Graham Inggs <ginggs@debian.org>  Sat, 25 Jan 2020 18:31:46 +0000

r-cran-bbmle (1.0.22-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.4.1
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g

 -- Dylan Aïssi <daissi@debian.org>  Mon, 30 Dec 2019 11:34:43 +0100

r-cran-bbmle (1.0.20-5) unstable; urgency=medium

  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Exclude another test with non-fitting test results

 -- Andreas Tille <tille@debian.org>  Tue, 23 Jul 2019 15:56:27 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,20 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-numderiv,
                r-cran-lattice,
-               r-cran-mass
-Standards-Version: 4.1.5
+               r-cran-mass,
+               r-cran-bdsmatrix,
+               r-cran-matrix,
+               r-cran-mvtnorm
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bbmle
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bbmle.git
 Homepage: https://cran.r-project.org/package=bbmle
+Rules-Requires-Root: no
 
 Package: r-cran-bbmle
 Architecture: all

## r-cran-bbmle 1.0.24

=== DESCRIPTION ===
Package: bbmle
Title: Tools for General Maximum Likelihood Estimation
Description: Methods and functions for fitting maximum likelihood models in R. This package modifies and extends the 'mle' classes in the 'stats4' package.
Version: 1.0.24
Authors@R: c(person("Ben","Bolker",email="bolker@mcmaster.ca",role=c("aut","cre")),
	   person("R Development Core Team",role=c("aut")),
	   person("Iago Giné-Vázquez", role=c("ctb"))
	  )
Depends: R (>= 3.0.0), stats4
Imports: stats, numDeriv, lattice, MASS, methods, bdsmatrix, Matrix,
        mvtnorm
Suggests: emdbook, rms, ggplot2, RUnit, MuMIn, AICcmodavg, Hmisc,
        optimx (>= 2013.8.6), knitr, testthat
VignetteBuilder: knitr
BuildVignettes: yes
License: GPL
URL: https://github.com/bbolker/bbmle
Collate: 'mle2-class.R' 'mle2-methods.R' 'mle.R' 'confint.R'
        'predict.R' 'profile.R' 'update.R' 'dists.R' 'IC.R' 'slice.R'
        'impsamp.R' 'TMB.R'
RoxygenNote: 7.1.0
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2021-08-04 21:24:59 UTC; bolker
Author: Ben Bolker [aut, cre],
  R Development Core Team [aut],
  Iago Giné-Vázquez [ctb]
Maintainer: Ben Bolker <bolker@mcmaster.ca>
Repository: CRAN
Date/Publication: 2021-08-05 14:00:02 UTC

=== debian/changelog ===
r-cran-bbmle (1.0.24-3ubuntu1) jammy; urgency=medium

  * Skip test with precision error on ppc64el

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Nov 2021 06:06:36 +0000

r-cran-bbmle (1.0.24-3) unstable; urgency=medium

  * Team Upload.
  * d/t/run-unit-test: Avoid running failing tests on armhf

 -- Nilesh Patra <nilesh@debian.org>  Thu, 23 Sep 2021 21:35:33 +0530

r-cran-bbmle (1.0.24-2) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * d/salsa-ci.yml: Disable reprotest

  [ Nilesh Patra ]
  * d/t/run-unit-test: Avoid running one failing test on armhf

 -- Nilesh Patra <nilesh@debian.org>  Wed, 22 Sep 2021 19:26:43 +0530

r-cran-bbmle (1.0.24-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 09 Sep 2021 10:50:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: r-cran-bbmle
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-numderiv,
@@ -12,7 +14,7 @@
                r-cran-bdsmatrix,
                r-cran-matrix,
                r-cran-mvtnorm
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bbmle
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bbmle.git
 Homepage: https://cran.r-project.org/package=bbmle

## r-cran-bbmle 1.0.25

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: bbmle
 Title: Tools for General Maximum Likelihood Estimation
 Description: Methods and functions for fitting maximum likelihood models in R. This package modifies and extends the 'mle' classes in the 'stats4' package.
-Version: 1.0.24
+Version: 1.0.25
 Authors@R: c(person("Ben","Bolker",email="bolker@mcmaster.ca",role=c("aut","cre")),
 	   person("R Development Core Team",role=c("aut")),
 	   person("Iago Giné-Vázquez", role=c("ctb"))
@@ -21,10 +21,10 @@
 RoxygenNote: 7.1.0
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2021-08-04 21:24:59 UTC; bolker
+Packaged: 2022-05-06 22:21:10 UTC; bolker
 Author: Ben Bolker [aut, cre],
   R Development Core Team [aut],
   Iago Giné-Vázquez [ctb]
 Maintainer: Ben Bolker <bolker@mcmaster.ca>
 Repository: CRAN
-Date/Publication: 2021-08-05 14:00:02 UTC
+Date/Publication: 2022-05-11 08:20:02 UTC

=== debian/changelog ===
r-cran-bbmle (1.0.25-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    + Skip test with precision error on ppc64el

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 21 May 2022 10:37:36 +0000

r-cran-bbmle (1.0.25-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.0.25
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 17 May 2022 12:58:23 +0530

r-cran-bbmle (1.0.24-5) unstable; urgency=medium

  * Team upload.
  * d/t/control: Add s390x arch to not run tests there

 -- Nilesh Patra <nilesh@debian.org>  Sun, 01 May 2022 13:54:28 +0530

r-cran-bbmle (1.0.24-4) unstable; urgency=medium

  * Team Upload.
  * Do not run autopkgtest on arm

 -- Nilesh Patra <nilesh@debian.org>  Tue, 29 Mar 2022 12:35:18 +0530

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,14 @@
 Source: r-cran-bbmle
+Section: gnu-r
+Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bbmle
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bbmle.git
+Homepage: https://cran.r-project.org/package=bbmle
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -14,11 +18,7 @@
                r-cran-bdsmatrix,
                r-cran-matrix,
                r-cran-mvtnorm
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bbmle
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bbmle.git
-Homepage: https://cran.r-project.org/package=bbmle
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-bbmle
 Architecture: all

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-runit, r-cran-testthat
Restrictions: allow-stderr
Architecture: !armhf !arm64 !s390x

## r-cran-bbmle 1.0.25.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Package: bbmle
 Title: Tools for General Maximum Likelihood Estimation
 Description: Methods and functions for fitting maximum likelihood models in R. This package modifies and extends the 'mle' classes in the 'stats4' package.
-Version: 1.0.25
-Authors@R: c(person("Ben","Bolker",email="bolker@mcmaster.ca",role=c("aut","cre")),
+Version: 1.0.25.1
+Authors@R: c(person("Ben","Bolker",email="bolker@mcmaster.ca",role=c("aut","cre"),
+	   comment=c(ORCID="0000-0002-2127-0443")),
 	   person("R Development Core Team",role=c("aut")),
 	   person("Iago Giné-Vázquez", role=c("ctb"))
 	  )
@@ -21,10 +22,10 @@
 RoxygenNote: 7.1.0
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2022-05-06 22:21:10 UTC; bolker
-Author: Ben Bolker [aut, cre],
+Packaged: 2023-12-08 23:45:52 UTC; bolker
+Author: Ben Bolker [aut, cre] (<https://orcid.org/0000-0002-2127-0443>),
   R Development Core Team [aut],
   Iago Giné-Vázquez [ctb]
 Maintainer: Ben Bolker <bolker@mcmaster.ca>
 Repository: CRAN
-Date/Publication: 2022-05-11 08:20:02 UTC
+Date/Publication: 2023-12-09 01:00:02 UTC

=== debian/changelog ===
r-cran-bbmle (1.0.25.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 18 Dec 2023 14:52:59 +0100

r-cran-bbmle (1.0.25-2) unstable; urgency=medium

  * Sync Test-Depends with Suggests
  * Ignore single test for i386 architecture.  This is a workaround for a
    strange test error that occurred after r-base was compiled with
    -ffloat-store
  * Incorporate patch from Ubuntu skipping test with precision error on
    ppc64el
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 24 Jan 2023 11:10:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: r-cran-bbmle
 Section: gnu-r
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bbmle
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bbmle.git
 Homepage: https://cran.r-project.org/package=bbmle
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-emdbook,
        r-cran-rms,
        r-cran-ggplot2,
        r-cran-runit,
        r-cran-hmisc,
        r-cran-optimx (>= 2013.8.6),
        r-cran-knitr,
        r-cran-testthat
Restrictions: allow-stderr
Architecture: !armhf !arm64 !s390x

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/bbmle_([-\d.]*)\.tar\.gz
